Subject: eBay order #16-10411-42770
From: Kristy Richardson <[email-masked]>
To: [email-masked]
Date: Wed, 16 Aug 2023 15:17:14 -0400

I am writing to you because I ordered a True North by Sleep Philosophy
Micro Fleece Blanket - Twin Size - Grey Plaid - on August 14th, 2023 from
you on eBay.  I did checkout as a guest and the order number is
16-10411-42770.

I have tried to contact you through eBay but I get a message from eBay that
you have a high volume of messages and that new messages cannot be sent.

I need to know if I can cancel this order.  And if not, when do you plan on
shipping it?

Thank you for your immediate response in advance.

Sincerely,

Kristy R Richardson